Subject: Re: bug#33747: 26.1; process-send-string exceeds max-specpdl-size

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Dec 2018 20:40:04 +0200

> From: Markus Triska <[email-masked]>
> Date: Fri, 14 Dec 2018 18:49:09 +0100
> 
> The reason for this seems to be that process-send-string also builds up
> frames for unwind-protect when it waits for input if the queue is full.
> 
> However, in this concrete case, I would prefer to simply send (or queue)
> the string and *not* wait for any input within the process filter.
> 
> Is there a way to accomplish this?

AFAIK, process-send-string is a blocking function: it cannot return
before the entire string was sent.